BuildRequires: dos2unix
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Net/Ping/External.pm) perl(Test.pm) perl(Thread/Queue.pm) perl(Time/HiRes.pm) perl(base.pm) perl(threads.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 1.62
%define module_name Net-Ping-Network
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.62
Release: alt1
Summary: A modul to ICMP-request nodes in a network (or list) very fast
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AN/ANGERSTEI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The existing ping moduls are slow and can only handle one ping at a time.
Net::Ping::Networks (Net::Ping::Multi) can handle even large ip ranges and entire networks.
Depending of your computing power and memory you can scan a class c network in less then 5 seconds.

On a normal desktop computer and without any further tuning, one should be able to manage 2500-3000 ips in less then 5 minutes.

Threads are utilised to boost performace. Threads feel a still a little bit beta today.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install
# trailing <CR> in interpreter: #!/usr/bin/perl<CR>
for dir in %buildroot%_bindir %buildroot%perl_vendor_archlib %buildroot%perl_vendor_privlib ; do
    if [ -d $dir ]; then
    	find $dir -type f -executable | while read f; do
	  case `file $f` in
	    *perl*) dos2unix $f ;;
	  esac
	done
    fi
done


%files
%doc readme Changes
%perl_vendor_privlib/N*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.62-alt1
- initial import by package builder

